aboutsummaryrefslogtreecommitdiff
path: root/i3/set-keyboard
diff options
context:
space:
mode:
authorJuan J. Martinez <jjm@usebox.net>2023-09-19 20:41:11 +0100
committerJuan J. Martinez <jjm@usebox.net>2023-09-19 20:41:11 +0100
commit1a288a4b0904cd72553a260e5caa2f695fff95f8 (patch)
tree9188c645260125c34003ee31b025b571337cb6d2 /i3/set-keyboard
parente8659f62d684bd9da6a27c86b9d1ea62590a8e0d (diff)
downloaddotnvim-1a288a4b0904cd72553a260e5caa2f695fff95f8.tar.gz
dotnvim-1a288a4b0904cd72553a260e5caa2f695fff95f8.zip
Tidier
Diffstat (limited to 'i3/set-keyboard')
-rwxr-xr-xi3/set-keyboard9
1 files changed, 9 insertions, 0 deletions
diff --git a/i3/set-keyboard b/i3/set-keyboard
new file mode 100755
index 0000000..e905abb
--- /dev/null
+++ b/i3/set-keyboard
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+setxkbmap -model pc105 -layout gb -variant extd
+xmodmap -e 'keycode 66 = Mode_switch'
+xmodmap -e 'clear lock'
+xmodmap -e 'keycode 113 = Left NoSymbol Home'
+xmodmap -e 'keycode 114 = Right NoSymbol End'